Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
transactions
Get Business Transactions
curl --request GET \
  --url https://api.cadanapay.com/v1/businesses/{businessId}/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "Completed",
      "vendorId": "<string>",
      "vendorName": "<string>",
      "reference": "<string>",
      "direction": "DEBIT",
      "balanceEffect": "increase",
      "paymentDetails": {
        "preferredMethod": "bank",
        "momo": {
          "accountName": "John Doe",
          "provider": "MTN",
          "providerCode": "MTN",
          "phoneNumber": {
            "countryCode": "1",
            "number": "2345678901"
          },
          "currency": "GHS"
        },
        "bank": {
          "accountName": "John Doe",
          "accountNumber": "1234567890",
          "accountType": "Checking",
          "ownerType": "individual",
          "bankCode": "EXMPJPJT",
          "bankName": "Gotham City Bank",
          "branchName": "Downtown Branch",
          "sortCode": "401234",
          "iban": "GB00000000000000000000",
          "provider": "wise",
          "currency": "USD",
          "beneficiaryId": {
            "type": "NIT",
            "value": "123456789"
          },
          "address": {
            "countryCode": "US",
            "line1": "Street 1",
            "line2": "Apt 1",
            "city": "Gotham",
            "postalCode": "10001",
            "state": "NY"
          },
          "phoneNumber": {
            "countryCode": "1",
            "number": "2345678901"
          },
          "email": "john.doe@example.com"
        },
        "swift": {
          "currency": "EUR",
          "iban": "DE00000000000000000000",
          "accountName": "John Doe",
          "accountNumber": "1234567890",
          "bankName": "Example Bank",
          "swiftCode": "EXMPDEFF",
          "address": {
            "countryCode": "US",
            "line1": "Street 1",
            "line2": "Apt 1",
            "city": "Gotham",
            "postalCode": "10001",
            "state": "NY"
          }
        },
        "ach": {
          "bankName": "Example Bank",
          "accountName": "John Doe",
          "routingNumber": "000000000",
          "accountNumber": "1234567890",
          "accountType": "Checking",
          "provider": "wise",
          "address": {
            "countryCode": "US",
            "line1": "Street 1",
            "line2": "Apt 1",
            "city": "Gotham",
            "postalCode": "10001",
            "state": "NY"
          }
        },
        "wallet": {
          "type": "user",
          "identifier": "69a2a928-ed49-4e53-92ec-a72b4ee7eacc",
          "currency": "USD"
        },
        "wire": {
          "bankName": "Example Bank",
          "accountName": "John Doe",
          "routingNumber": "000000000",
          "accountNumber": "123456789",
          "address": {
            "countryCode": "US",
            "line1": "Street 1",
            "line2": "Apt 1",
            "city": "Gotham",
            "postalCode": "10001",
            "state": "NY"
          }
        }
      },
      "amount": {
        "value": "10.00",
        "currency": "USD"
      },
      "transactionFee": {
        "value": "10.00",
        "currency": "USD"
      },
      "totalAmount": {
        "value": "10.00",
        "currency": "USD"
      },
      "sourceAmount": {
        "value": "10.00",
        "currency": "USD"
      },
      "fxRate": 123,
      "reason": "<string>",
      "bulkPaymentReference": "<string>",
      "createdTimestamp": 123,
      "lastUpdatedTimestamp": 123,
      "date": "2023-12-25"
    }
  ],
  "node": {
    "previous": "<string>",
    "next": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

businessId
string
required

The unique identifier for the business

Query Parameters

currency
string
required

Currency code for transactions (required)

Example:

"USD"

startDate
string<date>
required

Start date for transactions filter (required)

Example:

"2024-01-01"

Response

List of business transactions

data
object[]
node
object

Node pagination